Bug 1643432 - Subscription Status Widget showing incorrect information on Dashboard
Summary: Subscription Status Widget showing incorrect information on Dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Kavita
QA Contact: jcallaha
URL:
Whiteboard:
: 1683786 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-26 08:49 UTC by kartik
Modified: 2019-10-07 17:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)
Satellite 6.4 - dashboard - Host Subscription Status (138.11 KB, image/png)
2018-10-26 20:40 UTC, Brad Buckingham
no flags Details
subscription status error (12.35 KB, image/png)
2018-10-29 07:47 UTC, kartik
no flags Details
verification screenshot (15.01 KB, image/png)
2019-01-16 21:42 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC
Foreman Issue Tracker 25480 None None None 2018-11-16 12:46:25 UTC
Red Hat Knowledge Base (Solution) 4001751 Customize or extend None Unable to see the Subscription Status on Red Hat Satellite 6.4 dashboard. 2019-03-21 16:10:59 UTC

Description kartik 2018-10-26 08:49:39 UTC
Description of problem:
In satellite 6.4 Web UI dashboard widget shows zero active subscriptions 
(Incorrect info )


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login to Web UI
2. Go to Monitor --> Dashboard ---> Host Subscription Status
3.

Actual results: Active subscriptions always shows zero 


Expected results: Should show correct info about active subscriptions


Additional info:

Comment 1 Brad Buckingham 2018-10-26 20:39:45 UTC
Hello,

Can you provide access to a reproducer?

From our internal 6.4 instance, I see subscriptions on the 'Host Subscription Status' widget.  I do not see anything listed as 'Active', only Invalid|Partial|Valid|Unknown|Unregistered.

Attaching screenshot from this instance.

Comment 2 Brad Buckingham 2018-10-26 20:40:35 UTC
Created attachment 1497896 [details]
Satellite 6.4 - dashboard - Host Subscription Status

Comment 3 kartik 2018-10-29 07:47:15 UTC
Created attachment 1498442 [details]
subscription status error

Comment 4 kartik 2018-10-29 07:50:16 UTC
Hello ,

I made a typo on the previous  comment.

Go to Monitor --> Dashboard ---> Subscription Status.

Active subscriptions always shows zero on all satellite 6.4 WEB UI's.

I have attached the screenshot for the same.

Comment 5 Brad Buckingham 2018-10-30 14:45:06 UTC
Thanks Kartik!  That helps. I see the same on our internal instance.  For now, I am marking this as a regression as I do not see the same on our 6.3.z instance.

Comment 8 Kavita 2018-11-16 12:46:21 UTC
Created redmine issue http://projects.theforeman.org/issues/25480 from this bug

Comment 9 pm-sat@redhat.com 2018-12-10 19:08:56 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25480 has been resolved.

Comment 10 jcallaha 2019-01-16 21:42:16 UTC
Verified in Satellite 6.5.0 Snap 11

subscription status widget now shows correct counts.

See attached screenshot for verification.

Comment 11 jcallaha 2019-01-16 21:42:49 UTC
Created attachment 1521142 [details]
verification screenshot

Comment 12 Brad Buckingham 2019-03-01 19:43:22 UTC
*** Bug 1683786 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.